Package picard.illumina.parser

# Enum Class TileTemplateRead

java.lang.Object
java.lang.Enum<TileTemplateRead>
picard.illumina.parser.TileTemplateRead

All Implemented Interfaces:
  `Serializable`, `Comparable<TileTemplateRead>`, `Constable`

public enum TileTemplateRead extends Enum<TileTemplateRead>
Defines the first or second template read for a tile

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIRST`
`SECOND`

## Method Summary

Modifier and Type
Method
Description
`static TileTemplateRead`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TileTemplateRead[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIRST

public static final TileTemplateRead FIRST

### SECOND

public static final TileTemplateRead SECOND

## Method Details

### values

public static TileTemplateRead[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TileTemplateRead valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null